Entire Class Index | Main Class Index | Cross Index | Global Index

# Class CL_ComponentStyle

Component Style interface.
Contained in: global
Derived from: none
Derived by: none
Group: GUI (Framework)

#include <ClanLib/gui.h>

### public function member index:

### Construction:

`` | `CL_ComponentStyle` | `(`CL_Component`* `component`)`;
``virtual`` | `~CL_ComponentStyle` | `()`;

### Attributes:

``CL_Component`*` | `get_component` | `()`;
``const` `CL_Component`*` | `get_component` | `() `const``;

## Description:

## Function Member Descriptions:

CL_ComponentStyle::CL_ComponentStyle - Construct a component style.
`` `CL_ComponentStyle` `(`CL_Component`* `component`)`;

CL_ComponentStyle::get_component - Returns the component that is being styled.
``CL_Component`*` `get_component` `()`;

CL_ComponentStyle::get_component - Returns the component that is being styled.
``const` `CL_Component`*` `get_component` `() `const``;

CL_ComponentStyle::~CL_ComponentStyle - Destructor.
``virtual`` `~CL_ComponentStyle` `()`;

## Variable Member Descriptions: